discussion/discussion/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('todolist/', include('todolist.urls')), # We use include() instead since we didn't import urls.py itself; instead, we provided a path to the file needed
    path('admin/', admin.site.urls),
]

discussion/todolist/urls.py
from django.urls import path
# . indicates we're importing a file from the same folder; we also do not define the file extension
from . import views


app_name = 'todolist'

urlpatterns = [
	path('index', views.index, name = 'index'),
	path('<int:todoitem_id>', views.todoitem, name = 'viewtodoitem'),
	path('register', views.register, name = 'register'),
	# path('change_password', views.change_password, name = 'change_password'),
	path('login', views.login_user, name = 'login'),
	path('logout', views.logout_user, name = 'logout'),
	path('add_task', views.add_task, name = 'add_task'),
	path('<int:todoitem_id>/update_task', views.update_task, name = 'update_task'),
	path('<int:todoitem_id>/delete_task', views.delete_task, name = 'delete_task'),
	path('add_event', views.add_event, name = 'add_event'),
	path('/events/<int:event_id>', views.event, name = 'viewevent'),
	path('/events/<int:event_id>/update_event', views.update_event, name = 'update_event'),
	path('/events/<int:event_id>/delete_event', views.delete_event, name = 'delete_event'),
	path('update_profile', views.update_profile, name = 'update_profile')
]

discussion/todolist/models.py
from django.db import models
from django.contrib.auth.models import User

# Create your models here.

class ToDoItem(models.Model):
	task_name = models.CharField(max_length = 50)
	description = models.CharField(max_length = 200)
	status = models.CharField(max_length = 50, default = "pending")
	date_created = models.DateTimeField('date created') # An example of a "verbose name"
	user = models.ForeignKey(User, on_delete = models.RESTRICT, default = "")

class Events(models.Model):
	event_name = models.CharField(max_length = 50)
	description = models.CharField(max_length = 200)
	status = models.CharField(max_length = 50, default = "pending")
	event_date = models.CharField(max_length = 30)
	user = models.ForeignKey(User, on_delete = models.RESTRICT, default = "")

discussion/todolist/forms.py
from django import forms

class LoginForm(forms.Form):
	username = forms.CharField(label = "username", max_length = 20)
	password = forms.CharField(label = "password", max_length = 20)

class AddTaskForm(forms.Form):
	task_name = forms.CharField(label = "task_name", max_length = 50)
	description = forms.CharField(label = "description", max_length = 200)

class UpdateTaskForm(forms.Form):
	task_name = forms.CharField(label = "task_name", max_length = 50)
	description = forms.CharField(label = "description", max_length = 200)
	status = forms.CharField(label = "status", max_length = 50)

class RegisterForm(forms.Form):
	username = forms.CharField(label = "username", max_length = 20)
	password = forms.CharField(label = "password", max_length = 20)
	email = forms.CharField(label = "email", max_length = 50)
	first_name = forms.CharField(label = "first_name", max_length = 50)
	last_name = forms.CharField(label = "last_name", max_length = 50)

class AddEventForm(forms.Form):
	event_name = forms.CharField(label = "event_name", max_length = 50)
	description = forms.CharField(label = "description", max_length = 200)
	event_date = forms.CharField(label = "event_date", max_length = 30)

class UpdateEventForm(forms.Form):
	event_name = forms.CharField(label = "event_name", max_length = 50)
	description = forms.CharField(label = "description", max_length = 200)
	event_date = forms.CharField(label = "event_date", max_length = 30)
	status = forms.CharField(label = "status", max_length = 50)

class UpdateProfileForm(forms.Form):
	first_name = forms.CharField(label = "first_name", max_length = 50)
	last_name = forms.CharField(label = "last_name", max_length = 50)
	password = forms.CharField(label = "password", max_length = 20)

discussion/todolist/views.py
from django.shortcuts import render, redirect, get_object_or_404

# Create your views here.

# "from" allows the importation of necessary classes/modules, methods, and other files needed in our application from the django.http package; "import" defines what we are importing from the package
from django.http import HttpResponse # Functions similarly to response.send in express

# Local imports
from .models import ToDoItem, Events
from .forms import LoginForm, AddTaskForm, UpdateTaskForm, RegisterForm, AddEventForm, UpdateEventForm, UpdateProfileForm

from django.utils import timezone

# Importing built-in User Model
from django.contrib.auth.models import User

# Authenticate function
from django.contrib.auth import authenticate, login, logout

from django.forms.models import model_to_dict

# To use the template we created
# from django.template import loader

def index(request):
	todoitem_list = ToDoItem.objects.filter(user_id = request.user.id)
	events_list = Events.objects.filter(user_id = request.user.id)
	# template = loader.get_template('index.html')
	context = {
		'todoitem_list': todoitem_list,
		'events_list': events_list,
		'user': request.user
	}
	# join() is the counterpart to concat() in js
	# output = ", ".join([todoitem.task_name for todoitem in todoitem_list])

	# render(request, route_template, context)

	return render(request, "index.html", context)

def todoitem(request, todoitem_id):
	# response = f"You are viewing the details of {todoitem_id}."
	# return HttpResponse(response)

	todoitem = get_object_or_404(ToDoItem, pk = todoitem_id)

	return render(request, "todoitem.html", model_to_dict(todoitem))

def event(request, event_id):
	# response = f"You are viewing the details of {todoitem_id}."
	# return HttpResponse(response)

	event = get_object_or_404(Events, pk = event_id)

	return render(request, "event.html", model_to_dict(event))

# This function is responsible for registering on our application
def register(request):
	
	context = {}
	users = User.objects.all()
	is_user_registered = False
	success = False

	if request.method == "POST":

		form = RegisterForm(request.POST)

		if form.is_valid() == False:
			form = RegisterForm()

		else:

			# user_pass = form.cleaned_data['password']

			user = User()

			user.username = form.cleaned_data['username']
			user.set_password(form.cleaned_data['password'])
			user.first_name = form.cleaned_data['first_name']
			user.last_name = form.cleaned_data['last_name']
			user.email = form.cleaned_data['email']
			user.is_staff = False
			user.is_active = True

			for indiv_user in users:
				if indiv_user.username == user.username:
					is_user_registered = True
					break

			if is_user_registered == False:
				# To save our user
				user.save()
				success = True

			context = {
				'is_user_registered': is_user_registered,
				'first_name': user.first_name,
				'last_name': user.last_name,
				'success': success
			}

	return render(request, "register.html", context)



	# users = User.objects.all()
	# is_user_registered = False

	# user = User()
	# user.username = "janedoe"
	# user.first_name = "jane"
	# user.last_name = "doe"
	# user.email = "jane@mail.com"
	# user.set_password("jane1234") # Using this will automatically hash the password in our database.
	# user.is_staff = False
	# user.is_active = True

	# for indiv_user in users:
	# 	if indiv_user.username == user.username:
	# 		is_user_registered = True
	# 		break # We only need to check once if the username is taken and we're only changing the value of is_user_registered to true for our conditional rendering, hence the break.

	# if is_user_registered == False:
	# 	# To save our user
	# 	user.save()

	# context = {
	# 	'is_user_registered': is_user_registered,
	# 	'first_name': user.first_name,
	# 	'last_name': user.last_name
	# }

	# return render(request, "register.html", context)

# def change_password(request):

# 	is_user_authenticated = False

# 	user = authenticate(username = "johndoe", password = "johndoe12345")
# 	# If there is a user with the given credentials, authenticate() will return an object containing the credentials; if not, user's value will be None (literally None)

# 	if user is not None:
# 		authenticated_user = User.objects.get(username = 'johndoe')
# 		authenticated_user.set_password("johndoe123456")
# 		authenticated_user.save()

# 		is_user_authenticated = True

# 	context = {
# 		"is_user_authenticated": is_user_authenticated
# 	}

# 	return render(request, "change_password.html", context)

def login_user(request):

	context = {}

	# If this is a post request, we will need to process the form data.
	if request.method == "POST":

		form = LoginForm(request.POST)

		# is_valid() checks if the captured data from the form follows the provided rules; in this case it will check if the value exceeds 20 characters or not. It returns a Boolean value.
		if form.is_valid() == False:
			form = LoginForm()
		else:
			# You can't directly extract the username from the form; first, you must use cleaned_data. cleaned_data retrieves the information from the form.
			username = form.cleaned_data['username']
			password = form.cleaned_data['password']

			user = authenticate(username = username, password = password)

			if user is not None:
				context = {
					'username': username,
					'password': password
				}
				login(request, user)
				return redirect("todolist:index")

			else:
				context = {
					'error': True
				}
				print(user)

	
	return render(request, "login.html", context)

def logout_user(request):
	logout(request)
	return redirect("todolist:index")

def add_task(request):

	context = {}

	if request.method == "POST":
		form = AddTaskForm(request.POST)

		if form.is_valid() == False:
			form = AddTaskForm()

		else:
			task_name = form.cleaned_data['task_name']
			description = form.cleaned_data['description']

			duplicates = ToDoItem.objects.filter(task_name = task_name, user_id = request.user.id)

			if not duplicates:
				
				# Create an object based on the ToDoItem model and save it to the database
				ToDoItem.objects.create(task_name = task_name, description = description, date_created = timezone.now(), user_id = request.user.id)

				return redirect("todolist:index")
			else:
				context = {
					'error': True
				}


	return render(request, "add_task.html", context)

def add_event(request):

	context = {}

	if request.method == "POST":
		form = AddEventForm(request.POST)

		if form.is_valid() == False:
			form = AddEventForm()

		else:
			event_name = form.cleaned_data['event_name']
			description = form.cleaned_data['description']
			event_date = form.cleaned_data['event_date']

			duplicates = Events.objects.filter(event_name = event_name, user_id = request.user.id, status = 'pending')

			if not duplicates:

				Events.objects.create(event_name = event_name, description = description, event_date = event_date, user_id = request.user.id)

				return redirect('todolist:index')
			else:
				context = {
					'error': True
				}

	return render(request, "add_event.html", context)

def update_task(request, todoitem_id):

	todoitem = ToDoItem.objects.filter(pk = todoitem_id)

	context = {
		'user': request.user,
		'todoitem_id': todoitem_id,
		'task_name': todoitem[0].task_name,
		'description': todoitem[0].description,
		'status': todoitem[0].status
	}

	if request.method == "POST":
		form = UpdateTaskForm(request.POST)

		if form.is_valid() == False:
			form = UpdateTaskForm()
		
		else:
			task_name = form.cleaned_data['task_name']
			description = form.cleaned_data['description']
			status = form.cleaned_data['status']

			if todoitem:

				todoitem[0].task_name = task_name
				todoitem[0].description = description
				todoitem[0].status = status

				todoitem[0].save()

				return redirect("todolist:viewtodoitem", todoitem_id=todoitem_id)

			else:

				context = {
					'error': True
				}

	return render(request, 'update_task.html', context)

def update_event(request, event_id):

	event = Events.objects.filter(pk = event_id)

	context = {
		'user': request.user,
		'event_id': event_id,
		'event_name': event[0].event_name,
		'description': event[0].description,
		'status': event[0].status,
		'event_date': event[0].event_date
	}

	if request.method == "POST":
		form = UpdateEventForm(request.POST)

		if form.is_valid() == False:
			form = UpdateEventForm()
		
		else:
			event_name = form.cleaned_data['event_name']
			description = form.cleaned_data['description']
			status = form.cleaned_data['status']
			event_date = form.cleaned_data['event_date']

			if event:

				event[0].event_name = event_name
				event[0].description = description
				event[0].status = status
				event[0].event_date = event_date

				event[0].save()

				return redirect("todolist:viewevent", event_id=event_id)

			else:

				context = {
					'error': True
				}

	return render(request, 'update_event.html', context)

def delete_task(request, todoitem_id):

	todoitem = ToDoItem.objects.filter(pk = todoitem_id).delete()

	return redirect('todolist:index')

def delete_event(request, event_id):

	event = Events.objects.filter(pk = event_id).delete()

	return redirect('todolist:index')

def update_profile(request):

	context = {}
	success = False

	if request.method == "POST":

		user = User.objects.get(username = request.user.username)
		form = UpdateProfileForm(request.POST)

		if form.is_valid() == False:
			form = UpdateProfileForm()

		else:

			newpass = form.cleaned_data['password']

			user.set_password(newpass)
			user.first_name = form.cleaned_data['first_name']
			user.last_name = form.cleaned_data['last_name']

			user.save()
			success = True

		context = {
			'success': success
		}


	return render(request, "update_profile.html", context)

discussion/todolist/templates/add_event.html
{% extends 'base.html' %}

{% block title %}Add Event{% endblock %}

{% block content %}

		<div class = "container my-4">
			<h1 class = "text-center">Add an Event</h1>
			<div class = "row mt-2">
				<div class = "col-6 offset-3">

					{% if error == True %}
						<p class = "text-danger mt-2">You already have a pending event with this name.</p>
					{% endif %}
					<form action="{% url 'todolist:add_event' %}" method="POST">

	                    {% csrf_token %}

	                    <div class="mb-3">
	                        <label for="event_name">Event Name:</label>
	                        <input 
	                        	class="form-control" 
	                        	id="event_name" 
	                        	type="text" 
	                        	name="event_name" 
	                        	value="{{event_name}}" 
	                        	maxlength="50" 
	                        	required
	                        	>
	                    </div>

	                    <div class="mb-3">
	                        <label for="description">Description:</label>
	                        <textarea class="form-control" name="description" value="{{description}}" required></textarea>
	                    </div>

	                    <div class="mb-3">
	                        <label for="event_date">Event Time and Date:</label>
	                        <input class="form-control" name="event_date" value="{{event_date}}" placeholder = "YYYY/MM/DD 00:00 AM" maxlength="30" required></textarea>
	                    </div>

	                    <div class="text-center">
	                        <input 
	                        	class="btn btn-success" 
	                        	type="submit" 
	                        	value="Add Event"
	                        	>
	                    </div>

	                </form>
				</div>
			</div>
		</div>

{% endblock %}

discussion/todolist/templates/add_task.html
{% extends "base.html" %}

{% block title %}Add a Task{% endblock %}

{% block content %}
	
	<div class = "container my-3">
		<h1 class = "text-center">Add a Task</h1>
		<div class = "row mt-2">
			<div class = "col-6 offset-3">

				{% if error == True %}
					<p class = "text-danger mt-2">You already have a pending task with this name.</p>
				{% endif %}
				<form action="{% url 'todolist:add_task' %}" method="POST">

                    {% csrf_token %}

                    <div class="mb-3">
                        <label for="task_name">Task Name:</label>
                        <input 
                        	class="form-control" 
                        	id="task_name" 
                        	type="text" 
                        	name="task_name" 
                        	value="{{task_name}}" 
                        	maxlength="50" 
                        	required
                        	>
                    </div>

                    <div class="mb-3">
                        <label for="description">Description:</label>
                        <textarea class="form-control" name="description" value="{{description}}" required></textarea>
                    </div>

                    <div class="text-center">
                        <input 
                        	class="btn btn-success" 
                        	type="submit" 
                        	value="Add Task"
                        	>
                    </div>

                </form>
			</div>
		</div>
	</div>

{% endblock %}

discussion/todolist/templates/change_password.html
{% if is_user_authenticated == False %}
	<h1>Invalid User Credentials</h1>
	<p>Please check if the username and password are correct.</p>

{% else %}
	<h1>User password successfully updated!</h1>
	<p>The password has successfully been updated.</p>

{% endif %}

discussion/todolist/templates/event.html
{% extends 'base.html' %}

{% block title %}My Events{% endblock %}

{% block content %}

	<div class = 'text-center mt-3'>
		<h1>{{event_name}}</h1>

		<h3>Description:</h3>
		<p>{{description}}</p>

		<h3>Status:</h3>
		<p>{{status}}</p>

		<h3>Event Time and Date:</h3>
		<p>{{event_date}}</p>

		<button class = 'btn btn-success mx-1 text-light'>
			<a href="{% url 'todolist:update_event' id %}" class = 'text-decoration-none text-reset'>Edit this event</a>
		</button>

		<button class = 'btn btn-danger mx-1 text-light'>
			<a href="{% url 'todolist:delete_event' id %}" class = 'text-decoration-none text-reset'>Delete this event</a>
		</button>

		<button class = 'btn btn-warning mx-1 text-light'>
			<a href="{% url 'todolist:index' %}" class = 'text-decoration-none text-reset'>Back to the index page</a>
		</button>
	</div>

{% endblock %}

discussion/todolist/templates/index.html
{% extends 'base.html'%}

{% block title %}Home{% endblock %}

{% block content %}

    {% if todoitem_list and events_list and user.is_anonymous == False %}
    <!-- user.is_anonymous checks whether or not there is a user logged in -->
        <h1 class = "text-center my-3">Welcome, {{user.first_name}} {{user.last_name}}!</h1>
        
        <div class = "container mb-4">
            <div class = "row">
                <h3 class = "text-center mb-3">My Tasks</h3>
                <ul class = "text-center list-group col-lg-4 offset-lg-4">
                    {% for todoitem in todoitem_list %}
                        <li class = "list-group-item"><a class = "text-decoration-none" href = "{% url 'todolist:viewtodoitem' todoitem.id %}">{{todoitem.task_name}}</a></li>
                    {% endfor %}    
                </ul>
            </div>
        </div>

        <div class = "container">
            <div class = "row">
                <h3 class = "text-center mb-3">My Events</h3>
                <ul class = "text-center list-group col-lg-4 offset-lg-4">
                    {% for event in events_list %}
                        <li class = "list-group-item"><a class = "text-decoration-none" href = "{% url 'todolist:viewevent' event.id %}">{{event.event_name}}</a></li>
                    {% endfor %}    
                </ul>
            </div>
        </div>
       
    {% elif todoitem_list.count == 0 and events_list.count == 0 and user.is_anonymous == False %}
        <h1 class = "text-center my-3">Welcome, {{user.first_name}} {{user.last_name}}!</h1>
        <div class = 'container mb-4'>
            <h3 class= 'text-center mb-3'>My Tasks</h3>
            <p class = "text-center my-3">No tasks have been created.</p>
        </div>
        <div class = 'container mb-4'>
            <h3 class= 'text-center mb-3'>My Events</h3>
            <p class = "text-center my-3">No events have been listed.</p>
        </div>

    {% elif todoitem_list.count == 0 and events_list and user.is_anonymous == False %}
    <h1 class = "text-center my-3">Welcome, {{user.first_name}} {{user.last_name}}!</h1>
    <p class = "text-center my-3">No tasks have been created.</p>

    <div class = "container">
        <div class = "row">
            <h3 class = "text-center mb-3">My Events</h3>
            <ul class = "text-center list-group col-lg-4 offset-lg-4">
                {% for event in events_list %}
                    <li class = "list-group-item"><a class = "text-decoration-none" href = "{% url 'todolist:viewevent' event.id %}">{{event.event_name}}</a></li>
                {% endfor %}    
            </ul>
        </div>
    </div>

    {% elif todoitem_list.count and events_list.count == 0 and user.is_anonymous == False %}
    <h1 class = "text-center my-3">Welcome, {{user.first_name}} {{user.last_name}}!</h1>
    
    <div class = "container mb-4">
        <div class = "row">
            <h3 class = "text-center mb-3">My Tasks</h3>
            <ul class = "text-center list-group col-lg-4 offset-lg-4">
                {% for todoitem in todoitem_list %}
                    <li class = "list-group-item"><a class = "text-decoration-none" href = "{% url 'todolist:viewevent' todoitem.id %}">{{todoitem.task_name}}</a></li>
                {% endfor %}    
            </ul>
        </div>
    </div>

    <div class = "container">
        <h3 class = "text-center mb-3">My Events</h3>
        <p class = "text-center my-3">No tasks have been created.</p>
    </div>

    {% else %}
        <h1 class = "text-center my-3">Welcome! You are not authorized to access this page.</h1>
        <p class = "text-center my-3"><a href = "{% url 'todolist:login' %}">hu u</a></p>
    {% endif %}

{% endblock %}

discussion/todolist/templates/login.html
{% extends 'base.html'%}

{% block title %}Login{% endblock %}

{% block content %}

	<h1 class = "text-center my-3">Login Form</h1>
	<div class = "container">
		<div class = "row">
			<div class = "col-6 offset-3">

				{% if error == True %}
					<p class = "text-danger">Invalid credentials; please check your username and password, or register first.</p>
				{% endif %}
				<form action = "{% url 'todolist:login' %}" method = "POST">

					<!-- This template tag provides protection against Cross Site Request Forgeries (CSRFs). -->
					<!-- CSRFs occur when a malicious website contains a link or a form button or some javascript code meant to perform an action with our website. -->
					{% csrf_token %}
				  <div class="mb-3">
				    <label for="username" class="form-label">Username:</label>
				    <input
				    	type="text"
				    	class="form-control"
				    	id="username"
				    	value = "{{username}}"
				    	name = "username"
				    	maxlength = "20"
				    	required
				    	>
				  </div>
				  <div class="mb-3">
				    <label for="password" class="form-label">Password:</label>
				    <input 
				    	type="password" 
				    	class="form-control" 
				    	id="password"
				    	name = "password"
				    	value = "{{password}}"
				    	maxlength = "20"
				    	required
				    	>
				  </div>

				  <button type="submit" class="btn btn-primary">Submit</button>
				</form>
			</div>
		</div>
	</div>

{% endblock %}

discussion/todolist/templates/register.html
{% extends 'base.html' %}

{% block title %}Register{% endblock %}

{% block content %}
	<h1 class = 'text-center my-3'>Register</h1>
	<div class = 'container my-5'>
		<div class = 'row'>
			<div class = 'col-6 offset-3 mb-3'>

				{% if is_user_registered == True %}
					<p class = 'text-center text-danger my-2'>That username has been taken. Please login or select a different username.</p>
				{% endif %}

				{% if success == True %}
					<p class = 'text-center text-success my-2'>Thank you for registering with us!</p>
				{% endif %}

				<form action = "{% url 'todolist:register' %}" method = "POST">

					{% csrf_token %}

					<div class = 'mb-3'>
						<label for="username" class="form-label">Username:</label>
						<input 
							type="text" 
							class="form-control" 
							id="username" 
							value = "{{username}}"
							name = "username" 
							maxlength="20"
							required
						>
					</div>
				  <div class = "row mb-3">
				  	<div class = "col-lg-6">
				  		<label for="first_name" class="form-label">First Name:</label>
				  		<input 
				  			type="text" 
				  			class="form-control" 
				  			id="first_name" 
				  			value = "{{first_name}}"
				  			name = "first_name" 
				  			maxlength="50"
				  			required
			  			>
				  	</div>
				  	<div class = "col-lg-6">
				  		<label for="last_name" class="form-label">Last Name:</label>
				  		<input 
				  			type="text" 
				  			class="form-control" 
				  			id="last_name" 
				  			value = "{{last_name}}"
				  			name = "last_name" 
				  			maxlength="50"
				  			required
			  			>
				  	</div>
				  </div>
				  <div id="personalInfo" class="form-text">We'll never share your personal information with anyone else.</div>
				  <div class="mb-3">
				    <label for="email" class="form-label">Email Address:</label>
				    <input 
			  			type="email" 
			  			class="form-control" 
			  			id="email" 
			  			value = "{{email}}" 
			  			name = "email" 
			  			maxlength="50"
			  			required
		  			>
				  </div>
				  <div class="mb-3">
				    <label for="password" class="form-label">Password:</label>
				    <input 
			  			type="password" 
			  			class="form-control" 
			  			id="password" 
			  			value = "{{password}}" 
			  			name = "password" 
			  			maxlength="20"
			  			required
		  			>
				  </div>
				  <button type="submit" class="btn btn-primary">Submit</button>
				</form>

			</div>
		</div>
	</div>

{% endblock %}

<!-- {% if is_user_registered == False %}

	<h1>User Successfully Created!</h1>

	<p>The account for {{first_name}} {{last_name}} has been successfully created!</p>

{% else %}

	<h1>Duplicate User Found</h1>

	<p>A user with this username already exists. User creation unsuccessful.</p>

{% endif %} -->

discussion/todolist/templates/todoitem.html
{% extends 'base.html' %}

{% block title %}My Tasks{% endblock %}

{% block content %}

	<div class = 'text-center mt-3'>
		<h1>{{task_name}}</h1>

		<h3>Description:</h3>
		<p>{{description}}</p>

		<h3>Status:</h3>
		<p>{{status}}</p>

		<button class = 'btn btn-success mx-1 text-light'>
			<a href="{% url 'todolist:update_task' id %}" class = 'text-decoration-none text-reset'>Edit this task</a>
		</button>

		<button class = 'btn btn-danger mx-1 text-light'>
			<a href="{% url 'todolist:delete_task' id %}" class = 'text-decoration-none text-reset'>Delete this task</a>
		</button>

		<button class = 'btn btn-warning mx-1 text-light'>
			<a href="{% url 'todolist:index' %}" class = 'text-decoration-none text-reset'>Back to the index page</a>
		</button>
	</div>

{% endblock %}

discussion/todolist/templates/update_event.html
{% extends 'base.html' %}

{% block title %}Update Event{% endblock %}

{% block content %}
	
	{% if user.is_anonymous == False %}
		<div class = 'container'>
			<div class = 'row'>
				<div class = 'col-6 offset-3'>
					<h1 class = 'text-center my-3'>Update Event</h1>

					{% if error == True %}
						<p class = 'text-center text-danger my-3'>Event not found.</p>
					{% endif %}
					<form action="{% url 'todolist:update_event' event_id %}" method="post">
                        
                        {% csrf_token %}

                        <div class="mb-3">
                            <label for="event_name">Event Name: </label>
                            <input class="form-control" id="event_name" type="text" name="event_name" value="{{ event_name }}" maxlength="50" required>
                        </div>

                        <div class="mb-3">
                            <label for="description">Description: </label>
                            <textarea class="form-control" name="description" required>{{ description }}</textarea>
                        </div>

                        <div class="mb-3">
                            <label for="status">Status: </label>
                            <input class="form-control" id="status" type="text" name="status" value="{{ status }}" maxlength="50" required>
                        </div>

                        <div class="mb-3">
                            <label for="event_date">Event Time and Date: </label>
                            <input class="form-control" id="event_date" type="text" name="event_date" value="{{ event_date }}" maxlength="50" required>
                        </div>

                        <div class="text-center">
                            <input class="btn btn-success" type="submit" value="Update Task">
                        </div>

                    </form>
				</div>
			</div>
		</div>

	{% endif %}

{% endblock %}

discussion/todolist/templates/update_profile.html
{% extends 'base.html' %}

{% block title %}Update Profile{% endblock %}

{% block content %}

	{% if user.is_anonymous == False %}

		<h1 class = 'text-center my-3'>Update Profile Details</h1>
			<div class = 'container my-5'>
				<div class = 'row'>
					<div class = 'col-6 offset-3 mb-3'>

						{% if success == True %}
							<p class = 'text-center text-success my-2'>Your details have been updated!</p>
						{% endif %}

						<form action = "{% url 'todolist:update_profile' %}" method = "POST">

							{% csrf_token %}

						  <div class = "row mb-3">
						  	<div class = "col-lg-6">
						  		<label for="first_name" class="form-label">First Name:</label>
						  		<input 
						  			type="text" 
						  			class="form-control" 
						  			id="first_name" 
						  			value = "{{first_name}}"
						  			name = "first_name" 
						  			maxlength="50"
						  			required
					  			>
						  	</div>
						  	<div class = "col-lg-6">
						  		<label for="last_name" class="form-label">Last Name:</label>
						  		<input 
						  			type="text" 
						  			class="form-control" 
						  			id="last_name" 
						  			value = "{{last_name}}"
						  			name = "last_name" 
						  			maxlength="50"
						  			required
					  			>
						  	</div>
						  </div>
						  <div class="mb-3">
						    <label for="password" class="form-label">Password:</label>
						    <input 
					  			type="password" 
					  			class="form-control" 
					  			id="password" 
					  			value = "{{password}}" 
					  			name = "password" 
					  			maxlength="20"
					  			required
				  			>
						  </div>
						  <button type="submit" class="btn btn-primary">Update</button>
						</form>

					</div>
				</div>
			</div>

	{% else %}
		<h1 class = "text-center my-3">Error!</h1>
		<p class = "text-center">Please log into your account first. (how are you going to update your profile otherwise???)</p>
	{% endif %}

{% endblock %}